GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory Class Reference

## Public Member Functions
| ObjectFactory ()
DetailsReferenceData | createDetailsReferenceData ()
TULReferenceData | createTULReferenceData ()
TUPReferenceData | createTUPReferenceData ()
ParcelDetailResponse | createParcelDetailResponse ()
UnitDetail | createUnitDetail ()
TUListResponse | createTUListResponse ()
UnitItem | createUnitItem ()
PODResponse | createPODResponse ()
PODItem | createPODItem ()
InvalidShipmentIDFault | createInvalidShipmentIDFault ()
TUHistory | createTUHistory ()

## Detailed Description

This object contains factory methods for each Java content interface and Java element interface generated in the eu.glsgroup.fpcs.datatypes.soap.v1.tracking package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Definition at line 22 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## Constructor & Destructor Documentation

## ◆ ObjectFactory()

eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.ObjectFactory | ( |  | ) |

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: eu.glsgroup.fpcs.datatypes.soap.v1.tracking

Definition at line 29 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## Member Function Documentation

## ◆ createDetailsReferenceData()

DetailsReferenceData eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createDetailsReferenceData | ( |  | ) |

Create an instance of DetailsReferenceData

Definition at line 36 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createInvalidShipmentIDFault()

InvalidShipmentIDFault eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createInvalidShipmentIDFault | ( |  | ) |

Create an instance of InvalidShipmentIDFault

Definition at line 108 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createParcelDetailResponse()

ParcelDetailResponse eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createParcelDetailResponse | ( |  | ) |

Create an instance of ParcelDetailResponse

Definition at line 60 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createPODItem()

PODItem eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createPODItem | ( |  | ) |

Create an instance of PODItem

Definition at line 100 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createPODResponse()

PODResponse eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createPODResponse | ( |  | ) |

Create an instance of PODResponse

Definition at line 92 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createTUHistory()

TUHistory eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createTUHistory | ( |  | ) |

Create an instance of TUHistory

Definition at line 116 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createTUListResponse()

TUListResponse eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createTUListResponse | ( |  | ) |

Create an instance of TUListResponse

Definition at line 76 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createTULReferenceData()

TULReferenceData eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createTULReferenceData | ( |  | ) |

Create an instance of TULReferenceData

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createTUPReferenceData()

TUPReferenceData eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createTUPReferenceData | ( |  | ) |

Create an instance of TUPReferenceData

Definition at line 52 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createUnitDetail()

UnitDetail eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createUnitDetail | ( |  | ) |

Create an instance of UnitDetail

Definition at line 68 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

## ◆ createUnitItem()

UnitItem eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ObjectFactory.createUnitItem | ( |  | ) |

Create an instance of UnitItem

Definition at line 84 of file glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/tracking/ObjectFactory.java